
TYPO3.Fluid - Feature # 4704

Status: New Priority: Should have
Author: Bastian Waidelich Category: Core
Created: 2009-09-20 Assigned To:
Updated: 2012-07-11 Due date:
Has patch:
Subject: Improve parsing exception messages
Description

Fluid Parsing Exceptions should contain the path and linenumber of the affected template for easier bug fixing.

Related issues:
related to TYPO3.Fluid - Feature # 9211: Improve ViewHelper exception handling Rejected 2010-08-09
related to TYPO3.Flow - Feature # 37765: Display detailed informations within... Resolved 2012-06-05
related to TYPO3.Fluid - Task # 46091: Show source file name and position on ... Needs Feedback2013-03-07

History
#1 - 2009-09-20 16:47 - Bastian Waidelich
- File 4704_Improve_parsing_exception_messages.patch added
- Status changed from New to Needs Feedback

Attached is a very first version of a patch that includes template path, linenumber and current template extract to the exception messages of the
template parser.
It still needs fine-tuning (e.g. the css styles should not be hardcoded in the error message of course), testing & probably better error handling.
Note: The "verbose" exception message is only active if \F3\Fluid\Fluid::$debugMode is TRUE
Note²: The patch has a sideeffect, it won't allow tags in view helper arguments. But I think, this should not be allowed anyways (and it makes Fluid
slightly faster to skip those three regex lookups)

@anyone, please give feedback

#2 - 2010-07-12 12:51 - Bastian Waidelich
- Assigned To deleted (Bastian Waidelich)

#3 - 2010-07-23 10:42 - Bastian Waidelich
- Status changed from Needs Feedback to Accepted

We decided, that we need to decouple this feature from the core.
We want to implement a hook mechanism that allows us to intercept the parsing process and count line numbers etc.
This hook will only be active in a special verbose mode. In FLOW3 this mode will be activated in Development Context by default. in v4 this could be
enabled through the Extension Manager or through the devIPMask setting for example.
This won't use the TYPO3 hook implementation as the TemplateParser is not part of the public API (and because we don't want to have any
$GLOBALS in Fluid). But it would be possible to attach your own hooks by writing your own TemplateView class.

#4 - 2011-05-05 18:30 - Sebastian Kurfuerst
- Tracker changed from Task to Story

#5 - 2011-05-06 10:16 - Sebastian Kurfuerst
- Status changed from Accepted to New

#6 - 2011-05-06 11:03 - Sebastian Kurfuerst
- Tracker changed from Story to Feature

Files
4704_Improve_parsing_exception_messages.patch 11.7 kB 2009-09-20 Bastian Waidelich
